Subject: Re: [RFC PATCH net-next] tcp: add NV congestion control

From: Lawrence Brakmo <[email-masked]>
Date: Mon, 6 Jul 2015 22:40:17 +0000

On 7/3/15, 9:47 AM, "David Miller" <[email-masked]> wrote:

>From: Lawrence Brakmo <[email-masked]>
>Date: Thu, 2 Jul 2015 18:21:24 -0700
>
>> This is a request for comments.
>> 
>> TCP-NV (New Vegas) is a major update to TCP-Vegas. An earlier version of
>> NV was presented at 2010's LPC (slides). It is a delayed based
>> congestion avoidance for the data center. This version has been tested
>> within a 10G rack where the HW RTTs are 20-50us.
>> 
>> A description of TCP-NV, including implementation and experimental
>> results, can be found at:
>> http://www.brakmo.org/networking/tcp-nv/TCPNV.html
>> 
>> The current version includes many module parameters to support
>> experimentation with the parameters.
>> 
>> Signed-off-by: Lawrence Brakmo <[email-masked]>
>
>I'm disappointed in the skb->cb[] size increase, like Eric.  This
>severely negatively impacts everyone on every Linux system in the
>world, not just people using NV.
>
>The performance implications from increasing sk_buff by even 1 byte in
>size are absolutely non-trivial.

I will look into Neal¹s comment regarding using a union in the skb->cb[]
so I don¹t have to increase skb->cb[] size.